ghcide-2.9.0.0: The core of an IDE

Safe Haskell | None
Language | GHC2021

Development.IDE.Spans.Documentation

# Documentation

getDocumentation #

Arguments

:: HasSrcSpan name |
=> [ParsedModule] | All of the possible modules it could be defined in.
-> name | The name you want documentation for.
-> [Text] |

getDocumentationTryGhc :: HscEnv -> Name -> IO SpanDoc #

getDocumentationsTryGhc :: HscEnv -> [Name] -> IO [SpanDoc] #

type DocMap = NameEnv SpanDoc #

mkDocMap :: HscEnv -> RefMap a -> TcGblEnv -> IO DocAndTyThingMap #